[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Libvirt-ci] Build failed in Jenkins: virt-manager-ma ster-py3-check » libvirt-debian-9 #21



See <https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-debian-9/21/display/redirect>

------------------------------------------
Started by upstream project "virt-manager-master-py3-check" build number 21
originally caused by:
 Started by upstream project "virt-manager-master-py3-build" build number 21
 originally caused by:
  Started by upstream project "libvirt-python-master-py3-build" build number 12
  originally caused by:
   Started by upstream project "libvirt-master-build" build number 1215
   originally caused by:
    Started by an SCM change
    Started by an SCM change
[EnvInject] - Loading node environment variables.
Building remotely on libvirt-debian-9 (libvirt) in workspace <https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-debian-9/ws/>
[virt-manager-master-py3] $ /bin/sh -xe /tmp/jenkins365883188113320172.sh
+ MAKE=make
+ uname
+ unamestr=Linux
+ [ Linux = FreeBSD ]
+ export PATH=/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
+ export PYTHONPATH=/home/jenkins/build/libvirt/lib/python3.4/site-packages:/home/jenkins/build/libvirt/lib64/python3.4/site-packages:/home/jenkins/build/libvirt/lib/python3.5/site-packages:/home/jenkins/build/libvirt/lib64/python3.5/site-packages:/home/jenkins/build/libvirt/lib/python3.6/site-packages:/home/jenkins/build/libvirt/lib64/python3.6/site-packages:/home/jenkins/build/libvirt/lib/python3.7/site-packages:/home/jenkins/build/libvirt/lib64/python3.7/site-packages
+ python3 ./setup.py test
running test
............................................................................................................EE.......................................................................................................................................................s........................................................................................................................................................................s
======================================================================
ERROR: testGlusterPool (tests.xmlparse.XMLParseTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-debian-9/ws/tests/utils.py";,> line 182, in test_create
    obj = func(xml)
  File "/home/jenkins/build/libvirt/lib/python3.5/site-packages/libvirt.py", line 4595, in storagePoolDefineXML
    if ret is None:raise libvirtError('virStoragePoolDefineXML() failed', conn=self)
libvirt.libvirtError: operation failed: pool 'pool-gluster' already exists with uuid 4df1fa0f-9a9a-4922-97df-620d47967ce1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-debian-9/ws/tests/xmlparse.py";,> line 1225, in testGlusterPool
    utils.test_create(self.conn, pool.get_xml_config(), "storagePoolDefineXML")
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-debian-9/ws/tests/utils.py";,> line 184, in test_create
    raise RuntimeError(str(e) + "\n" + xml)
RuntimeError: operation failed: pool 'pool-gluster' already exists with uuid 4df1fa0f-9a9a-4922-97df-620d47967ce1
<pool type="gluster">
  <name>pool-gluster</name>
  <source>
    <host name="my.host"/>
    <dir path="/foo"/>
    <name>gv0</name>
  </source>
</pool>


======================================================================
ERROR: testISCSIPool (tests.xmlparse.XMLParseTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-debian-9/ws/tests/utils.py";,> line 182, in test_create
    obj = func(xml)
  File "/home/jenkins/build/libvirt/lib/python3.5/site-packages/libvirt.py", line 4595, in storagePoolDefineXML
    if ret is None:raise libvirtError('virStoragePoolDefineXML() failed', conn=self)
libvirt.libvirtError: operation failed: pool 'pool-iscsi' already exists with uuid 50d2c63d-4420-432d-bc65-27e5025aa7ad

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-debian-9/ws/tests/xmlparse.py";,> line 1207, in testISCSIPool
    utils.test_create(self.conn, pool.get_xml_config(), "storagePoolDefineXML")
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-debian-9/ws/tests/utils.py";,> line 184, in test_create
    raise RuntimeError(str(e) + "\n" + xml)
RuntimeError: operation failed: pool 'pool-iscsi' already exists with uuid 50d2c63d-4420-432d-bc65-27e5025aa7ad
<pool type="iscsi">
  <name>pool-iscsi</name>
  <source>
    <host name="my.host"/>
    <device path="/some/source/path"/>
    <initiator>
      <iqn name="my.iqn"/>
    </initiator>
  </source>
  <target>
    <path>/some/target/path</path>
  </target>
</pool>


----------------------------------------------------------------------
Ran 431 tests in 51.837s

FAILED (errors=2, skipped=2)
Build step 'Execute shell' marked build as failure


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]